# Cilium debug information

#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.11 (v1.11.10) [linux/amd64]
Kubernetes APIs:        ["CustomResourceDefinition", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "core/v1::Endpoint", "core/v1::Namespace", "core/v1::Pods", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Strict   [NodePort (SNAT, 30000-32767), ExternalIPs, HostReachableServices (TCP, UDP)]
Cilium:                 Ok       OK
NodeMonitor:            Disabled
Cilium health daemon:   Ok   
IPAM:                   IPv4: 7/255 allocated from 10.10.0.0/24, IPv6: 7/4294967295 allocated from f00d::a0b:0:0:0/96
Allocated addresses:
  10.10.0.14 (router)
  10.10.0.179 (health)
  10.10.0.205 (kube-system/coredns-687db6485c-sxg24 [restored])
  10.10.0.208 (default/testclient-zcpgg [restored])
  10.10.0.211 (default/testds-8r4qx [restored])
  10.10.0.241 (external-ips-test/app2-dc85b4585-2j8sw [restored])
  10.10.0.47 (external-ips-test/app1-798d4f944d-2wcz9 [restored])
  f00d::a0b:0:0:23ab (kube-system/coredns-687db6485c-sxg24 [restored])
  f00d::a0b:0:0:6758 (default/testds-8r4qx [restored])
  f00d::a0b:0:0:a9d (health)
  f00d::a0b:0:0:bb40 (default/testclient-zcpgg [restored])
  f00d::a0b:0:0:d00 (external-ips-test/app2-dc85b4585-2j8sw [restored])
  f00d::a0b:0:0:d65d (router)
  f00d::a0b:0:0:f96a (external-ips-test/app1-798d4f944d-2wcz9 [restored])
Controller Status:   26/26 healthy
  Name                                  Last success   Last error   Count   Message
  cilium-health-ep                      26s ago        never        0       no error   
  dns-garbage-collector-job             27s ago        never        0       no error   
  endpoint-1602-regeneration-recovery   never          never        0       no error   
  endpoint-1911-regeneration-recovery   never          never        0       no error   
  endpoint-206-regeneration-recovery    never          never        0       no error   
  endpoint-2448-regeneration-recovery   never          never        0       no error   
  endpoint-2537-regeneration-recovery   never          never        0       no error   
  endpoint-2726-regeneration-recovery   never          never        0       no error   
  metricsmap-bpf-prom-sync              6s ago         never        0       no error   
  resolve-identity-1911                 1m26s ago      never        0       no error   
  sync-endpoints-and-host-ips           27s ago        never        0       no error   
  sync-lb-maps-with-k8s-services        1m27s ago      never        0       no error   
  sync-policymap-1602                   24s ago        never        0       no error   
  sync-policymap-1911                   24s ago        never        0       no error   
  sync-policymap-206                    23s ago        never        0       no error   
  sync-policymap-2448                   23s ago        never        0       no error   
  sync-policymap-2537                   25s ago        never        0       no error   
  sync-policymap-2726                   25s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1602)     7s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (1911)     6s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (206)      7s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (2448)     7s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (2537)     6s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (2726)     7s ago         never        0       no error   
  template-dir-watcher                  never          never        0       no error   
  update-k8s-node-annotations           1m37s ago      never        0       no error   
Proxy Status:   OK, ip 10.10.0.14, 0 redirects active on ports 10000-20000
```

#### Policy get

```
:
 []
Revision: 1

```


#### Cilium memory map


```
00400000-01d0c000 r-xp 00000000 fd:00 2264661                            /usr/bin/cilium-agent
01d0c000-03958000 r--p 0190c000 fd:00 2264661                            /usr/bin/cilium-agent
03958000-03a33000 rw-p 03558000 fd:00 2264661                            /usr/bin/cilium-agent
03a33000-04197000 rw-p 00000000 00:00 0                                  [heap]
c000000000-c000600000 rw-p 00000000 00:00 0 
c000600000-c000800000 rw-p 00000000 00:00 0 
c000800000-c000e00000 rw-p 00000000 00:00 0 
c000e00000-c001c00000 rw-p 00000000 00:00 0 
c001c00000-c002000000 rw-p 00000000 00:00 0 
c002000000-c004000000 rw-p 00000000 00:00 0 
7ffff5b30000-7ffff5b70000 rw-p 00000000 00:00 0 
7ffff5b70000-7ffff5b72000 rw-s 00000000 00:0e 11329                      anon_inode:[perf_event]
7ffff5b72000-7ffff5b74000 rw-s 00000000 00:0e 11329                      anon_inode:[perf_event]
7ffff5b74000-7ffff7ffb000 rw-p 00000000 00:00 0 
7ffff7ffb000-7ffff7ffe000 r--p 00000000 00:00 0                          [vvar]
7ffff7ffe000-7ffff7fff000 r-xp 00000000 00:00 0                          [vdso]
7ffffffde000-7ffffffff000 rw-p 00000000 00:00 0                          [stack]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc0007c2f48)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc0007c73e0,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (int32) 1,
    readerWait: (int32) 0
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=16) {
  (k8s.ServiceID) external-ips-test/svc-b-external-ips: (*k8s.Service)(0xc000236620)(frontend:10.104.137.97/ports=[]/selector=map[id:app1]),
  (k8s.ServiceID) external-ips-test/svc-a-external-ips: (*k8s.Service)(0xc0001eafc0)(frontend:10.111.196.148/ports=[]/selector=map[id:app1]),
  (k8s.ServiceID) external-ips-test/svc-c-node-port: (*k8s.Service)(0xc0001eb110)(frontend:10.109.189.21/ports=[]/selector=map[id:app2]),
  (k8s.ServiceID) default/test-nodeport-k8s2: (*k8s.Service)(0xc0001ce310)(frontend:10.97.146.255/ports=[http tftp]/selector=map[zgroup:test-k8s2]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc0001cf6c0)(frontend:10.96.0.10/ports=[dns dns-tcp]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) default/testds-service: (*k8s.Service)(0xc0001cfe30)(frontend:10.104.235.85/ports=[http tftp]/selector=map[zgroup:testDS]),
  (k8s.ServiceID) external-ips-test/svc-d-node-port: (*k8s.Service)(0xc0001eb500)(frontend:10.108.226.85/ports=[]/selector=map[id:host-server-1]),
  (k8s.ServiceID) kube-system/cilium-etcd-client: (*k8s.Service)(0xc0001cf570)(frontend:10.106.66.126/ports=[client]/selector=map[app:etcd etcd_cluster:cilium-etcd]),
  (k8s.ServiceID) default/test-nodeport-local: (*k8s.Service)(0xc0001cff10)(frontend:10.110.196.85/ports=[http tftp]/selector=map[zgroup:testDS]),
  (k8s.ServiceID) default/test-nodeport: (*k8s.Service)(0xc0001eb8f0)(frontend:10.109.153.10/ports=[http tftp]/selector=map[zgroup:testDS]),
  (k8s.ServiceID) kube-system/cilium-etcd: (*k8s.Service)(0xc000236540)(frontend:<nil>/ports=[client peer]/selector=map[app:etcd etcd_cluster:cilium-etcd]),
  (k8s.ServiceID) default/test-lb-local-k8s2: (*k8s.Service)(0xc000236e70)(frontend:10.108.159.24/ports=[http]/selector=map[zgroup:test-k8s2]),
  (k8s.ServiceID) default/test-lb: (*k8s.Service)(0xc0001ced90)(frontend:10.111.223.30/ports=[http]/selector=map[zgroup:testDS]),
  (k8s.ServiceID) external-ips-test/svc-e-node-port: (*k8s.Service)(0xc0001cf7a0)(frontend:10.104.52.41/ports=[]/selector=map[id:host-server-2]),
  (k8s.ServiceID) default/test-nodeport-local-k8s2: (*k8s.Service)(0xc000236700)(frontend:10.108.213.206/ports=[http tftp]/selector=map[zgroup:test-k8s2]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc0002372d0)(frontend:10.96.0.1/ports=[https]/selector=map[])
 },
 endpoints: (map[k8s.ServiceID]*k8s.Endpoints) (len=16) {
  (k8s.ServiceID) external-ips-test/svc-a-external-ips: (*k8s.Endpoints)(0xc00000fee0)(10.10.0.47:80/TCP),
  (k8s.ServiceID) external-ips-test/svc-b-external-ips: (*k8s.Endpoints)(0xc00000fef0)(10.10.0.47:80/TCP),
  (k8s.ServiceID) kube-system/cilium-etcd-client: (*k8s.Endpoints)(0xc00000ff00)(),
  (k8s.ServiceID) external-ips-test/svc-e-node-port: (*k8s.Endpoints)(0xc00000ff20)(192.168.36.11:30006/TCP),
  (k8s.ServiceID) default/test-lb: (*k8s.Endpoints)(0xc00000ff50)(10.10.0.211:80/TCP,10.10.1.22:80/TCP),
  (k8s.ServiceID) default/test-nodeport-local-k8s2: (*k8s.Endpoints)(0xc00000feb0)(10.10.1.11:69/UDP,10.10.1.11:80/TCP),
  (k8s.ServiceID) external-ips-test/svc-d-node-port: (*k8s.Endpoints)(0xc00000fe90)(192.168.36.11:20004/TCP),
  (k8s.ServiceID) default/kubernetes: (*k8s.Endpoints)(0xc00000ff10)(192.168.36.11:6443/TCP),
  (k8s.ServiceID) default/test-nodeport: (*k8s.Endpoints)(0xc00000ff40)(10.10.0.211:69/UDP,10.10.0.211:80/TCP,10.10.1.22:69/UDP,10.10.1.22:80/TCP),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Endpoints)(0xc00000fe70)(10.10.0.205:53/TCP,10.10.0.205:53/UDP),
  (k8s.ServiceID) default/test-nodeport-k8s2: (*k8s.Endpoints)(0xc00000fed0)(10.10.1.11:69/UDP,10.10.1.11:80/TCP),
  (k8s.ServiceID) default/test-lb-local-k8s2: (*k8s.Endpoints)(0xc00000ff60)(10.10.1.11:80/TCP),
  (k8s.ServiceID) default/test-nodeport-local: (*k8s.Endpoints)(0xc00000fea0)(10.10.0.211:69/UDP,10.10.0.211:80/TCP,10.10.1.22:69/UDP,10.10.1.22:80/TCP),
  (k8s.ServiceID) kube-system/cilium-etcd: (*k8s.Endpoints)(0xc00000fec0)(),
  (k8s.ServiceID) default/testds-service: (*k8s.Endpoints)(0xc00000ff30)(10.10.0.211:69/UDP,10.10.0.211:80/TCP,10.10.1.22:69/UDP,10.10.1.22:80/TCP),
  (k8s.ServiceID) external-ips-test/svc-c-node-port: (*k8s.Endpoints)(0xc00000fe80)(10.10.0.241:80/TCP)
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 }
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### Cilium version

```
1.7.90 45cebce3 2020-02-17T14:48:05+01:00 go version go1.13.8 linux/amd64
```


#### Kernel version

```
5.4.0
```


#### Service list

```
ID   Frontend               Service Type   Backend                    
1    10.96.0.1:443          ClusterIP      1 => 192.168.36.11:6443    
2    10.96.0.10:53          ClusterIP      1 => 10.10.0.205:53        
3    10.111.196.148:82      ClusterIP      1 => 10.10.0.47:80         
4    192.0.2.223:82         ExternalIPs    1 => 10.10.0.47:80         
5    172.28.128.3:82        ExternalIPs    1 => 10.10.0.47:80         
6    192.168.36.11:82       ExternalIPs    1 => 10.10.0.47:80         
7    10.104.137.97:30002    ClusterIP      1 => 10.10.0.47:80         
8    172.28.128.3:30002     ExternalIPs    1 => 10.10.0.47:80         
9    192.168.36.11:30002    ExternalIPs    1 => 10.10.0.47:80         
10   192.0.2.223:30002      ExternalIPs    1 => 10.10.0.47:80         
11   10.109.189.21:83       ClusterIP      1 => 10.10.0.241:80        
12   0.0.0.0:30003          NodePort       1 => 10.10.0.241:80        
14   10.10.0.14:30003       NodePort       1 => 10.10.0.241:80        
15   10.108.226.85:84       ClusterIP      1 => 192.168.36.11:20004   
16   0.0.0.0:30004          NodePort       1 => 192.168.36.11:20004   
18   10.10.0.14:30004       NodePort       1 => 192.168.36.11:20004   
19   10.104.52.41:85        ClusterIP      1 => 192.168.36.11:30006   
20   0.0.0.0:30005          NodePort       1 => 192.168.36.11:30006   
22   10.10.0.14:30005       NodePort       1 => 192.168.36.11:30006   
36   10.104.235.85:80       ClusterIP      1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
37   10.104.235.85:69       ClusterIP      1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
38   10.109.153.10:10069    ClusterIP      1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
39   10.109.153.10:10080    ClusterIP      1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
40   0.0.0.0:30875          NodePort       1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
41   192.168.36.11:30875    NodePort       1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
42   10.10.0.14:30875       NodePort       1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
43   0.0.0.0:32416          NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
44   192.168.36.11:32416    NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
45   10.10.0.14:32416       NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
46   10.110.196.85:10069    ClusterIP      1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
47   10.110.196.85:10080    ClusterIP      1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
48   0.0.0.0:30263          NodePort       1 => 10.10.0.211:69        
49   192.168.36.11:30263    NodePort       1 => 10.10.0.211:69        
50   10.10.0.14:30263       NodePort       1 => 10.10.0.211:69        
51   0.0.0.0:31639          NodePort       1 => 10.10.0.211:80        
52   192.168.36.11:31639    NodePort       1 => 10.10.0.211:80        
53   10.10.0.14:31639       NodePort       1 => 10.10.0.211:80        
54   10.108.213.206:10069   ClusterIP      1 => 10.10.1.11:69         
55   10.108.213.206:10080   ClusterIP      1 => 10.10.1.11:80         
56   10.10.0.14:31695       NodePort                                  
57   0.0.0.0:31695          NodePort                                  
58   192.168.36.11:31695    NodePort                                  
59   10.10.0.14:30281       NodePort                                  
60   0.0.0.0:30281          NodePort                                  
61   192.168.36.11:30281    NodePort                                  
62   10.106.66.126:2379     ClusterIP                                 
63   10.97.146.255:10069    ClusterIP      1 => 10.10.1.11:69         
64   10.97.146.255:10080    ClusterIP      1 => 10.10.1.11:80         
65   192.168.36.11:30003    NodePort       1 => 10.10.0.241:80        
66   192.168.36.11:30004    NodePort       1 => 192.168.36.11:20004   
67   0.0.0.0:31954          NodePort       1 => 10.10.1.11:80         
68   192.168.36.11:31954    NodePort       1 => 10.10.1.11:80         
69   10.10.0.14:31954       NodePort       1 => 10.10.1.11:80         
70   0.0.0.0:31048          NodePort       1 => 10.10.1.11:69         
71   192.168.36.11:31048    NodePort       1 => 10.10.1.11:69         
72   192.168.36.11:30005    NodePort       1 => 192.168.36.11:30006   
73   10.10.0.14:31048       NodePort       1 => 10.10.1.11:69         
74   10.111.223.30:80       ClusterIP      1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
75   0.0.0.0:31981          NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
76   192.168.36.11:31981    NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
77   10.10.0.14:31981       NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
78   10.108.159.24:80       ClusterIP      1 => 10.10.1.11:80         
79   0.0.0.0:32305          NodePort                                  
80   192.168.36.11:32305    NodePort                                  
81   10.10.0.14:32305       NodePort                                  
```

#### Cilium environment keys

```
metrics:
cmdref:
agent-labels:
log-driver:
bpf-root:
tofqdns-enable-poller-events:true
enable-l7-proxy:true
trace-payloadlen:128
tofqdns-proxy-port:0
prefilter-mode:native
auto-create-cilium-node-resource:true
flannel-manage-existing-containers:false
ipv6-service-range:auto
ipv4-service-loopback-address:169.254.42.1
monitor-queue-size:0
blacklist-conflicting-routes:true
enable-local-node-route:true
fixed-identity-mapping:map[]
sidecar-http-proxy:false
container-runtime:
http-max-grpc-timeout:0
tofqdns-proxy-response-max-delay:100ms
kvstore-lease-ttl:15m0s
endpoint-queue-size:25
enable-k8s-event-handover:false
k8s-require-ipv6-pod-cidr:false
host-reachable-services-protos:
skip-crd-creation:false
tofqdns-dns-reject-response-code:refused
tofqdns-enable-poller:false
envoy-log:
bpf-ct-timeout-regular-tcp-fin:10s
bpf-ct-global-tcp-max:524288
disable-k8s-services:false
monitor-aggregation-flags:all
kvstore-connectivity-timeout:2m0s
write-cni-conf-when-ready:
prometheus-serve-addr:
enable-k8s-endpoint-slice:true
proxy-connect-timeout:1
tofqdns-max-deferred-connection-deletes:10000
endpoint-interface-name-prefix:lxc+
install-iptables-rules:true
restore:true
http-request-timeout:3600
disable-conntrack:false
ipv4-node:auto
socket-path:/var/run/cilium/cilium.sock
ipv6-pod-subnets:
monitor-aggregation-interval:5s
tofqdns-pre-cache:
disable-cnp-status-updates:false
single-cluster-route:false
enable-legacy-services:false
http-retry-count:3
bpf-ct-timeout-regular-any:1m0s
ipv6-range:auto
enable-selective-regeneration:true
ipv6-cluster-alloc-cidr:f00d::/64
log-system-load:true
http-idle-timeout:0
labels:
kvstore:
ipv4-range:auto
access-log:
auto-direct-node-routes:true
conntrack-gc-interval:0s
flannel-master-device:
bpf-nat-global-max:841429
ipv6-node:auto
prepend-iptables-chains:true
bpf-ct-timeout-service-tcp:6h0m0s
enable-endpoint-routes:false
encrypt-node:false
bpf-ct-timeout-regular-tcp:6h0m0s
k8s-watcher-queue-size:1024
kvstore-opt:map[]
k8s-api-server:
max-controller-interval:0
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
identity-change-grace-period:5s
mtu:0
k8s-service-cache-size:128
certificates-directory:/var/run/cilium/certs
k8s-require-ipv4-pod-cidr:true
enable-ipv6:true
enable-ipsec:false
ipsec-key-file:
bpf-policy-map-max:16384
http-403-msg:
k8s-kubeconfig-path:
tofqdns-endpoint-max-ip-per-hostname:50
ipv4-service-range:auto
state-dir:/var/run/cilium
device:enp0s8
ipv4-cluster-cidr-mask-size:8
log-opt:map[]
nat46-range:0:0:0:0:0:FFFF::/96
datapath-mode:veth
enable-well-known-identities:false
disable-ipv4:false
keep-bpf-templates:false
monitor-aggregation:medium
prefilter-device:undefined
node-port-range:
ipvlan-master-device:undefined
clustermesh-config:/var/lib/cilium/clustermesh/
debug:true
debug-verbose:
label-prefix-file:
node-port-mode:snat
enable-tracing:false
force-local-policy-eval-at-source:true
tunnel:disabled
preallocate-bpf-maps:true
cluster-name:default
bpf-compile-debug:false
masquerade:true
k8s-force-json-patch:false
enable-endpoint-health-checking:true
config-dir:/tmp/cilium/config-map
annotate-k8s-node:true
bpf-ct-timeout-regular-tcp-syn:1m0s
disable-endpoint-crd:false
tofqdns-min-ttl:0
bpf-ct-global-any-max:262144
flannel-uninstall-on-exit:false
enable-policy:default
enable-node-port:true
version:false
enable-remote-node-identity:true
allow-icmp-frag-needed:true
enable-host-reachable-services:false
enable-external-ips:false
enable-health-checking:true
disable-envoy-version-check:false
policy-queue-size:100
sockops-enable:false
http-retry-timeout:0
egress-masquerade-interfaces:
exclude-local-address:
wait-bpf-mount:false
ipam:
cgroup-root:
pprof:true
sidecar-istio-proxy-image:cilium/istio_proxy
identity-allocation-mode:crd
read-cni-conf:
enable-ipv4:true
keep-config:false
policy-trigger-interval:1s
k8s-namespace:kube-system
config:
kube-proxy-replacement:strict
ipv4-pod-subnets:
container-runtime-endpoint:map[]
cluster-id:0
encrypt-interface:
kvstore-periodic-sync:5m0s
bpf-ct-timeout-service-any:1m0s
conntrack-garbage-collector-interval:0
ip-allocation-timeout:2m0s
allow-localhost:auto
lib-dir:/var/lib/cilium
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                         IPv6                 IPv4          STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                         
206        Disabled           Disabled          26748      k8s:id=app1                                         f00d::a0b:0:0:f96a   10.10.0.47    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                       
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                
                                                           k8s:io.kubernetes.pod.namespace=external-ips-test                                              
1602       Disabled           Disabled          19205      k8s:id=app2                                         f00d::a0b:0:0:d00    10.10.0.241   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                       
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                
                                                           k8s:io.kubernetes.pod.namespace=external-ips-test                                              
1911       Disabled           Disabled          4          reserved:health                                     f00d::a0b:0:0:a9d    10.10.0.179   ready   
2448       Disabled           Disabled          52101      k8s:io.cilium.k8s.policy.cluster=default            f00d::a0b:0:0:23ab   10.10.0.205   ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=coredns                                                
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                    
                                                           k8s:k8s-app=kube-dns                                                                           
2537       Disabled           Disabled          5389       k8s:io.cilium.k8s.policy.cluster=default            f00d::a0b:0:0:bb40   10.10.0.208   ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                
                                                           k8s:io.kubernetes.pod.namespace=default                                                        
                                                           k8s:zgroup=testDSClient                                                                        
2726       Disabled           Disabled          17745      k8s:io.cilium.k8s.policy.cluster=default            f00d::a0b:0:0:6758   10.10.0.211   ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                
                                                           k8s:io.kubernetes.pod.namespace=default                                                        
                                                           k8s:zgroup=testDS                                                                              
```

#### BPF Policy Get 206

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         0       0         
Ingress     1          ANY          NONE         0       0         
Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 206

```
Error: Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00206: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00206: no such file or directory

```


#### Endpoint Get 206

```
[
  {
    "id": 206,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-206-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d093d2e9-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-206",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:09.013Z",
            "success-count": 2
          },
          "uuid": "d2e6dc65-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (206)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:25.435Z",
            "success-count": 9
          },
          "uuid": "d093d67a-51fe-11ea-816c-0800271f3587"
        }
      ],
      "external-identifiers": {
        "container-id": "2d18a00df200d29ddbb8f04dd77bc02d2e849048604a8cbc371e4df26e249ce5",
        "pod-name": "external-ips-test/app1-798d4f944d-2wcz9"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 26748,
        "labels": [
          "k8s:id=app1",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=external-ips-test"
        ],
        "labelsSHA256": "dcadf74ab15448c283d122aa3051282eea7d0cec1b080bbf193dd7d857144b8c"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=3548095008"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:id=app1",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=external-ips-test"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2020-02-18T03:29:09Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.0.47",
            "ipv6": "f00d::a0b:0:0:f96a"
          }
        ],
        "host-mac": "3e:7c:f1:5f:ce:cb",
        "interface-index": 45,
        "interface-name": "lxca9a2c8e7982a",
        "mac": "9e:d6:5a:4b:3b:50"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 26748,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 26748,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 206

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 206

```
Timestamp              Status   State          Message
2020-02-18T03:29:09Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2020-02-18T03:29:09Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2020-02-18T03:29:08Z   OK       regenerating   Regenerating endpoint: syncing state to host
2020-02-18T03:29:06Z   OK       restoring      Synchronizing endpoint labels with KVStore
2020-02-18T03:28:55Z   OK       restoring      Restoring endpoint from previous cilium instance
2020-02-18T03:28:55Z   OK       restoring      Endpoint restoring

```


#### Identity get 26748

```
ID      LABELS
26748   k8s:id=app1
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=external-ips-test

```


#### BPF Policy Get 1602

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         0       0         
Ingress     1          ANY          NONE         3790    43        
Egress      0          ANY          NONE         4818    37        

```


#### BPF CT List 1602

```
Error: Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01602: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01602: no such file or directory

```


#### Endpoint Get 1602

```
[
  {
    "id": 1602,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1602-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d093d6e3-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1602",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:08.474Z",
            "success-count": 2
          },
          "uuid": "d29477cc-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1602)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:25.829Z",
            "success-count": 9
          },
          "uuid": "d093d7e9-51fe-11ea-816c-0800271f3587"
        }
      ],
      "external-identifiers": {
        "container-id": "62205562f54b1284583d429294c257873503232457dc488f4cc12ed64cb22388",
        "pod-name": "external-ips-test/app2-dc85b4585-2j8sw"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 19205,
        "labels": [
          "k8s:id=app2",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=external-ips-test"
        ],
        "labelsSHA256": "056137ce0f8cd4860b9620933d5d974c3a45c2d506ba1fdc752abfad2bb1ff5a"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=874160141"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:id=app2",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=external-ips-test"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2020-02-18T03:29:08Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.0.241",
            "ipv6": "f00d::a0b:0:0:d00"
          }
        ],
        "host-mac": "fa:9b:7c:eb:09:30",
        "interface-index": 47,
        "interface-name": "lxc01527a1ddf38",
        "mac": "da:83:40:57:7e:14"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 19205,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 19205,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1602

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1602

```
Timestamp              Status   State          Message
2020-02-18T03:29:08Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2020-02-18T03:29:08Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2020-02-18T03:29:07Z   OK       regenerating   Regenerating endpoint: syncing state to host
2020-02-18T03:29:06Z   OK       restoring      Synchronizing endpoint labels with KVStore
2020-02-18T03:28:55Z   OK       restoring      Restoring endpoint from previous cilium instance
2020-02-18T03:28:55Z   OK       restoring      Endpoint restoring

```


#### Identity get 19205

```
ID      LABELS
19205   k8s:id=app2
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=external-ips-test

```


#### BPF Policy Get 1911

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         2988    32        
Ingress     1          ANY          NONE         2922    31        
Egress      0          ANY          NONE         5234    59        

```


#### BPF CT List 1911

```
Error: Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01911: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01911: no such file or directory

```


#### Endpoint Get 1911

```
[
  {
    "id": 1911,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1911-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d13d6dc3-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1911",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:29:06.224Z",
            "success-count": 1
          },
          "uuid": "d13d918f-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1911",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:08.458Z",
            "success-count": 2
          },
          "uuid": "d2927223-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1911)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:26.229Z",
            "success-count": 9
          },
          "uuid": "d13d7cd7-51fe-11ea-816c-0800271f3587"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ],
        "labelsSHA256": "9f122da90704e5177f344e0582800e43b05842f9f6b1812cf4690aade0915275"
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: updated security labels)",
          "state": "ready",
          "timestamp": "2020-02-18T03:29:08Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.0.179",
            "ipv6": "f00d::a0b:0:0:a9d"
          }
        ],
        "host-mac": "f6:98:1f:5a:c6:35",
        "interface-index": 228,
        "interface-name": "lxc_health",
        "mac": "72:34:dc:9c:97:9a"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1911

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1911

```
Timestamp              Status   State                   Message
2020-02-18T03:29:08Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-02-18T03:29:08Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-02-18T03:29:07Z   OK       regenerating            Regenerating endpoint: updated security labels
2020-02-18T03:29:06Z   OK       waiting-to-regenerate   Triggering regeneration due to new identity
2020-02-18T03:29:06Z   OK       ready                   Set identity for this endpoint
2020-02-18T03:29:05Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 2448

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         0       0         
Ingress     1          ANY          NONE         51310   140       
Egress      0          ANY          NONE         10930   140       

```


#### BPF CT List 2448

```
Error: Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02448: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02448: no such file or directory

```


#### Endpoint Get 2448

```
[
  {
    "id": 2448,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2448-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d093dac7-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2448",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:09.052Z",
            "success-count": 2
          },
          "uuid": "d2ecd9d6-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2448)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:25.228Z",
            "success-count": 9
          },
          "uuid": "d093dba6-51fe-11ea-816c-0800271f3587"
        }
      ],
      "external-identifiers": {
        "container-id": "fb34f07f50bd554e1694d179cb10bb5fe115032c33a8c6cc2267baf33a9c264e",
        "pod-name": "kube-system/coredns-687db6485c-sxg24"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 52101,
        "labels": [
          "k8s:k8s-app=kube-dns",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system"
        ],
        "labelsSHA256": "5e25749f7f2533a529bc35005eec80b7414a0652495193bb409b9e00291ffd52"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=2438620417"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2020-02-18T03:29:09Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.0.205",
            "ipv6": "f00d::a0b:0:0:23ab"
          }
        ],
        "host-mac": "06:1c:91:8f:10:6b",
        "interface-index": 29,
        "interface-name": "lxc55ab461b6e7c",
        "mac": "f6:17:3a:f8:1d:3e"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 52101,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 52101,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2448

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2448

```
Timestamp              Status   State          Message
2020-02-18T03:29:09Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2020-02-18T03:29:09Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2020-02-18T03:29:08Z   OK       regenerating   Regenerating endpoint: syncing state to host
2020-02-18T03:29:06Z   OK       restoring      Synchronizing endpoint labels with KVStore
2020-02-18T03:28:55Z   OK       restoring      Restoring endpoint from previous cilium instance
2020-02-18T03:28:55Z   OK       restoring      Endpoint restoring

```


#### Identity get 52101

```
ID      LABELS
52101   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=coredns
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=kube-dns

```


#### BPF Policy Get 2537

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         23570   132       
Ingress     1          ANY          NONE         0       0         
Egress      0          ANY          NONE         14626   201       

```


#### BPF CT List 2537

```
Error: Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02537: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02537: no such file or directory

```


#### Endpoint Get 2537

```
[
  {
    "id": 2537,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2537-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d093d98b-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2537",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:07.906Z",
            "success-count": 2
          },
          "uuid": "d23dc010-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2537)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:26.020Z",
            "success-count": 9
          },
          "uuid": "d093da76-51fe-11ea-816c-0800271f3587"
        }
      ],
      "external-identifiers": {
        "container-id": "b37dab3800a16cec098a011dee3042620f687dd810081b432b932d482a77f44f",
        "pod-name": "default/testclient-zcpgg"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 5389,
        "labels": [
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=testDSClient",
          "k8s:io.cilium.k8s.policy.cluster=default"
        ],
        "labelsSHA256": "63a32d9f73c99daa80e1658b70b5f4e68aa29e71b4d438239ad429ab3bbff18f"
      },
      "labels": {
        "derived": [
          "k8s:controller-revision-hash=3568436974",
          "k8s:pod-template-generation=1"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=testDSClient"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2020-02-18T03:29:07Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.0.208",
            "ipv6": "f00d::a0b:0:0:bb40"
          }
        ],
        "host-mac": "a2:ed:06:b3:42:ad",
        "interface-index": 222,
        "interface-name": "lxc879efa14e1a8",
        "mac": "2e:f0:d8:0c:76:54"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 5389,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 5389,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2537

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2537

```
Timestamp              Status   State          Message
2020-02-18T03:29:07Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2020-02-18T03:29:07Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2020-02-18T03:29:05Z   OK       regenerating   Regenerating endpoint: syncing state to host
2020-02-18T03:29:05Z   OK       restoring      Synchronizing endpoint labels with KVStore
2020-02-18T03:28:55Z   OK       restoring      Restoring endpoint from previous cilium instance
2020-02-18T03:28:55Z   OK       restoring      Endpoint restoring

```


#### Identity get 5389

```
ID     LABELS
5389   k8s:io.cilium.k8s.policy.cluster=default
       k8s:io.cilium.k8s.policy.serviceaccount=default
       k8s:io.kubernetes.pod.namespace=default
       k8s:zgroup=testDSClient

```


#### BPF Policy Get 2726

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         13834   189       
Ingress     1          ANY          NONE         23703   311       
Egress      0          ANY          NONE         63589   345       

```


#### BPF CT List 2726

```
Error: Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02726: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02726: no such file or directory

```


#### Endpoint Get 2726

```
[
  {
    "id": 2726,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2726-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d093d84c-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2726",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:07.869Z",
            "success-count": 2
          },
          "uuid": "d2383a5c-51fe-11ea-816c-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2726)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:25.626Z",
            "success-count": 9
          },
          "uuid": "d093d937-51fe-11ea-816c-0800271f3587"
        }
      ],
      "external-identifiers": {
        "container-id": "e550c85ef30ca7e48d7d8028362cf78cbcb4fe24f13aa65aa562dc07301c6fce",
        "pod-name": "default/testds-8r4qx"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 17745,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=testDS"
        ],
        "labelsSHA256": "dc07253fc132f5c2baa1e74a9e16e0c99c757e7e73a9fff6eb44b6ac907129f3"
      },
      "labels": {
        "derived": [
          "k8s:controller-revision-hash=4219026229",
          "k8s:pod-template-generation=1"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=testDS"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2020-02-18T03:29:07Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.0.211",
            "ipv6": "f00d::a0b:0:0:6758"
          }
        ],
        "host-mac": "6e:0b:27:bc:c1:5b",
        "interface-index": 224,
        "interface-name": "lxc95e43b8d03ce",
        "mac": "aa:ab:60:7f:4b:95"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 17745,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 17745,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2726

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2726

```
Timestamp              Status   State          Message
2020-02-18T03:29:07Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2020-02-18T03:29:07Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2020-02-18T03:29:06Z   OK       regenerating   Regenerating endpoint: syncing state to host
2020-02-18T03:29:06Z   OK       restoring      Synchronizing endpoint labels with KVStore
2020-02-18T03:28:55Z   OK       restoring      Restoring endpoint from previous cilium instance
2020-02-18T03:28:55Z   OK       restoring      Endpoint restoring

```


#### Identity get 17745

```
ID      LABELS
17745   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:zgroup=testDS

```

