# Cilium debug information

#### Kernel version

```
5.4.0
```


#### Cilium environment keys

```
k8s-api-server:
prepend-iptables-chains:true
kvstore-lease-ttl:15m0s
datapath-mode:veth
enable-health-checking:true
kvstore-opt:map[]
bpf-ct-timeout-regular-tcp-fin:10s
enable-remote-node-identity:true
k8s-namespace:kube-system
debug-verbose:
http-retry-count:3
skip-crd-creation:false
enable-l7-proxy:true
monitor-queue-size:0
ipv4-pod-subnets:
disable-envoy-version-check:false
ipam:
agent-labels:
kube-proxy-replacement:strict
bpf-ct-timeout-service-tcp:6h0m0s
tofqdns-proxy-port:0
encrypt-interface:
prometheus-serve-addr:
keep-bpf-templates:false
tofqdns-dns-reject-response-code:refused
tunnel:disabled
fixed-identity-mapping:map[]
allow-icmp-frag-needed:true
kvstore-periodic-sync:5m0s
disable-k8s-services:false
certificates-directory:/var/run/cilium/certs
allow-localhost:auto
bpf-ct-timeout-regular-tcp:6h0m0s
clustermesh-config:/var/lib/cilium/clustermesh/
endpoint-queue-size:25
node-port-range:
bpf-ct-timeout-service-any:1m0s
auto-direct-node-routes:true
tofqdns-pre-cache:
endpoint-interface-name-prefix:lxc+
disable-cnp-status-updates:false
tofqdns-proxy-response-max-delay:100ms
bpf-policy-map-max:16384
ipv4-cluster-cidr-mask-size:8
enable-policy:default
log-driver:
enable-host-reachable-services:false
single-cluster-route:false
wait-bpf-mount:false
keep-config:false
config-dir:/tmp/cilium/config-map
tofqdns-max-deferred-connection-deletes:10000
identity-allocation-mode:crd
bpf-root:
enable-endpoint-routes:false
kvstore-connectivity-timeout:2m0s
labels:
kvstore:
enable-endpoint-health-checking:true
conntrack-garbage-collector-interval:0
policy-queue-size:100
device:enp0s8
socket-path:/var/run/cilium/cilium.sock
k8s-force-json-patch:false
disable-ipv4:false
ipvlan-master-device:undefined
k8s-service-cache-size:128
monitor-aggregation:medium
envoy-log:
disable-endpoint-crd:false
enable-local-node-route:true
write-cni-conf-when-ready:
enable-legacy-services:false
config:
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
masquerade:true
log-system-load:true
ipv4-service-loopback-address:169.254.42.1
ipv6-pod-subnets:
cmdref:
enable-selective-regeneration:true
pprof:true
bpf-compile-debug:false
ipv4-node:auto
monitor-aggregation-flags:all
flannel-uninstall-on-exit:false
enable-ipv4:true
read-cni-conf:
http-idle-timeout:0
sidecar-http-proxy:false
label-prefix-file:
container-runtime-endpoint:map[]
nat46-range:0:0:0:0:0:FFFF::/96
mtu:0
restore:true
sidecar-istio-proxy-image:cilium/istio_proxy
enable-node-port:true
tofqdns-endpoint-max-ip-per-hostname:50
node-port-mode:snat
host-reachable-services-protos:
ipsec-key-file:
ip-allocation-timeout:2m0s
log-opt:map[]
enable-ipv6:true
bpf-ct-global-tcp-max:524288
exclude-local-address:
enable-well-known-identities:false
bpf-ct-timeout-regular-tcp-syn:1m0s
identity-change-grace-period:5s
enable-ipsec:false
install-iptables-rules:true
prefilter-mode:native
k8s-require-ipv6-pod-cidr:false
cluster-id:0
k8s-watcher-queue-size:1024
metrics:
enable-k8s-endpoint-slice:true
tofqdns-enable-poller:false
enable-k8s-event-handover:false
state-dir:/var/run/cilium
encrypt-node:false
max-controller-interval:0
container-runtime:
enable-tracing:false
disable-conntrack:false
http-max-grpc-timeout:0
bpf-nat-global-max:841429
blacklist-conflicting-routes:true
conntrack-gc-interval:0s
flannel-master-device:
http-403-msg:
lib-dir:/var/lib/cilium
ipv4-service-range:auto
egress-masquerade-interfaces:
cgroup-root:
trace-payloadlen:128
ipv6-node:auto
bpf-ct-global-any-max:262144
access-log:
http-retry-timeout:0
ipv4-range:auto
sockops-enable:false
debug:true
cluster-name:default
tofqdns-enable-poller-events:true
flannel-manage-existing-containers:false
preallocate-bpf-maps:true
tofqdns-min-ttl:0
ipv6-range:auto
enable-external-ips:false
bpf-ct-timeout-regular-any:1m0s
ipv6-cluster-alloc-cidr:f00d::/64
k8s-require-ipv4-pod-cidr:true
prefilter-device:undefined
annotate-k8s-node:true
policy-trigger-interval:1s
ipv6-service-range:auto
version:false
monitor-aggregation-interval:5s
k8s-kubeconfig-path:
force-local-policy-eval-at-source:true
auto-create-cilium-node-resource:true
http-request-timeout:3600
proxy-connect-timeout:1
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                         IPv6                 IPv4          STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                         
1351       Disabled           Disabled          55595      k8s:io.cilium.k8s.policy.cluster=default            f00d::a0c:0:0:c164   10.10.1.11    ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                
                                                           k8s:io.kubernetes.pod.namespace=default                                                        
                                                           k8s:zgroup=test-k8s2                                                                           
1565       Disabled           Disabled          5389       k8s:io.cilium.k8s.policy.cluster=default            f00d::a0c:0:0:77ab   10.10.1.44    ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                
                                                           k8s:io.kubernetes.pod.namespace=default                                                        
                                                           k8s:zgroup=testDSClient                                                                        
2386       Disabled           Disabled          46042      k8s:id=app3                                         f00d::a0c:0:0:c567   10.10.1.139   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                       
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                
                                                           k8s:io.kubernetes.pod.namespace=external-ips-test                                              
2481       Disabled           Disabled          17745      k8s:io.cilium.k8s.policy.cluster=default            f00d::a0c:0:0:da4    10.10.1.22    ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                
                                                           k8s:io.kubernetes.pod.namespace=default                                                        
                                                           k8s:zgroup=testDS                                                                              
3975       Disabled           Disabled          4          reserved:health                                     f00d::a0c:0:0:dfa8   10.10.1.19    ready   
```

#### BPF Policy Get 1351

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         0       0         
Ingress     1          ANY          NONE         3716    42        
Egress      0          ANY          NONE         7516    38        

```


#### BPF CT List 1351

```
Error: Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01351: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01351: no such file or directory

```


#### Endpoint Get 1351

```
[
  {
    "id": 1351,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1351-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "cffc24ec-51fe-11ea-9ffe-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1351",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:07.251Z",
            "success-count": 2
          },
          "uuid": "d1d9cd17-51fe-11ea-9ffe-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1351)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:24.451Z",
            "success-count": 9
          },
          "uuid": "cffc25f3-51fe-11ea-9ffe-0800271f3587"
        }
      ],
      "external-identifiers": {
        "container-id": "d4caf269559781682b51a129d37aca48b8e7c97cc724d3b58aa7eae13a287c6b",
        "pod-name": "default/test-k8s2-8d47f6c76-j6vsb"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 55595,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=test-k8s2",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default"
        ],
        "labelsSHA256": "bad42d78ea3c55d28a50edcdb13cb24371b8cd04308ea7efc9475e008473da9f"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=480392732"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=test-k8s2"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2020-02-18T03:29:07Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.11",
            "ipv6": "f00d::a0c:0:0:c164"
          }
        ],
        "host-mac": "72:12:3a:d4:af:38",
        "interface-index": 174,
        "interface-name": "lxc5aa5efc2eb45",
        "mac": "e2:f1:58:86:b7:5b"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 55595,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 55595,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1351

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1351

```
Timestamp              Status   State          Message
2020-02-18T03:29:07Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2020-02-18T03:29:07Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2020-02-18T03:29:06Z   OK       regenerating   Regenerating endpoint: syncing state to host
2020-02-18T03:29:05Z   OK       restoring      Synchronizing endpoint labels with KVStore
2020-02-18T03:28:54Z   OK       restoring      Restoring endpoint from previous cilium instance
2020-02-18T03:28:54Z   OK       restoring      Endpoint restoring

```


#### Identity get 55595

```
ID      LABELS
55595   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:zgroup=test-k8s2

```


#### BPF Policy Get 1565

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         22060   120       
Ingress     1          ANY          NONE         0       0         
Egress      0          ANY          NONE         13300   180       

```


#### BPF CT List 1565

```
Error: Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01565: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01565: no such file or directory

```


#### Endpoint Get 1565

```
[
  {
    "id": 1565,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1565-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "cffc22b3-51fe-11ea-9ffe-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1565",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:07.777Z",
            "success-count": 2
          },
          "uuid": "d22a0fba-51fe-11ea-9ffe-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1565)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:24.270Z",
            "success-count": 9
          },
          "uuid": "cffc2472-51fe-11ea-9ffe-0800271f3587"
        }
      ],
      "external-identifiers": {
        "container-id": "fcac78c28196d28cacb283e2756b6fd398027f0a190b8d875530c437efe5d0d3",
        "pod-name": "default/testclient-zp9fm"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 5389,
        "labels": [
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=testDSClient",
          "k8s:io.cilium.k8s.policy.cluster=default"
        ],
        "labelsSHA256": "63a32d9f73c99daa80e1658b70b5f4e68aa29e71b4d438239ad429ab3bbff18f"
      },
      "labels": {
        "derived": [
          "k8s:controller-revision-hash=3568436974",
          "k8s:pod-template-generation=1"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=testDSClient"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2020-02-18T03:29:07Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.44",
            "ipv6": "f00d::a0c:0:0:77ab"
          }
        ],
        "host-mac": "46:da:cb:13:dd:b8",
        "interface-index": 172,
        "interface-name": "lxc62668fb91a6c",
        "mac": "e6:78:7f:b9:db:5c"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 5389,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 5389,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1565

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1565

```
Timestamp              Status   State          Message
2020-02-18T03:29:07Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2020-02-18T03:29:07Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2020-02-18T03:29:07Z   OK       regenerating   Regenerating endpoint: syncing state to host
2020-02-18T03:29:05Z   OK       restoring      Synchronizing endpoint labels with KVStore
2020-02-18T03:28:54Z   OK       restoring      Restoring endpoint from previous cilium instance
2020-02-18T03:28:54Z   OK       restoring      Endpoint restoring

```


#### Identity get 5389

```
ID     LABELS
5389   k8s:io.cilium.k8s.policy.cluster=default
       k8s:io.cilium.k8s.policy.serviceaccount=default
       k8s:io.kubernetes.pod.namespace=default
       k8s:zgroup=testDSClient

```


#### BPF Policy Get 2386

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         0       0         
Ingress     1          ANY          NONE         3724    42        
Egress      0          ANY          NONE         4950    39        

```


#### BPF CT List 2386

```
Error: Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02386: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02386: no such file or directory

```


#### Endpoint Get 2386

```
[
  {
    "id": 2386,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2386-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "cffc27d4-51fe-11ea-9ffe-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2386",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:06.765Z",
            "success-count": 2
          },
          "uuid": "d18fee39-51fe-11ea-9ffe-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2386)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:24.864Z",
            "success-count": 9
          },
          "uuid": "cffc28ec-51fe-11ea-9ffe-0800271f3587"
        }
      ],
      "external-identifiers": {
        "container-id": "5fbb5c84d08146b8c3cef06528bf60d76c17638c72c17aee0c9b56d67881ae87",
        "pod-name": "external-ips-test/app3-68fb594d47-5zpdr"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 46042,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=external-ips-test",
          "k8s:id=app3"
        ],
        "labelsSHA256": "0a5f1bc85d00934e2b85b631761affac88932de5816fe7f3963cd87a24b394fc"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=2496150803"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:id=app3",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=external-ips-test"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2020-02-18T03:29:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.139",
            "ipv6": "f00d::a0c:0:0:c567"
          }
        ],
        "host-mac": "ee:04:3c:b1:7b:3d",
        "interface-index": 25,
        "interface-name": "lxcf479a4589c62",
        "mac": "26:b1:d8:fa:f0:04"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 46042,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 46042,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2386

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2386

```
Timestamp              Status   State          Message
2020-02-18T03:29:06Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2020-02-18T03:29:06Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2020-02-18T03:29:04Z   OK       regenerating   Regenerating endpoint: syncing state to host
2020-02-18T03:29:04Z   OK       restoring      Synchronizing endpoint labels with KVStore
2020-02-18T03:28:54Z   OK       restoring      Restoring endpoint from previous cilium instance
2020-02-18T03:28:54Z   OK       restoring      Endpoint restoring

```


#### Identity get 46042

```
ID      LABELS
46042   k8s:id=app3
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=external-ips-test

```


#### BPF Policy Get 2481

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES     PACKETS   
Ingress     0          ANY          NONE         7465887   138087    
Ingress     1          ANY          NONE         3716      42        
Egress      0          ANY          NONE         8458986   137969    

```


#### BPF CT List 2481

```
Error: Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02481: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02481: no such file or directory

```


#### Endpoint Get 2481

```
[
  {
    "id": 2481,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2481-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "cffc2665-51fe-11ea-9ffe-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2481",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:06.706Z",
            "success-count": 2
          },
          "uuid": "d18719c6-51fe-11ea-9ffe-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2481)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:24.641Z",
            "success-count": 9
          },
          "uuid": "cffc277d-51fe-11ea-9ffe-0800271f3587"
        }
      ],
      "external-identifiers": {
        "container-id": "3b40b43524438ea991476bd47d4220770585e0d5ba9d4502519a04d825c8d2c7",
        "pod-name": "default/testds-d9ltw"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 17745,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=testDS"
        ],
        "labelsSHA256": "dc07253fc132f5c2baa1e74a9e16e0c99c757e7e73a9fff6eb44b6ac907129f3"
      },
      "labels": {
        "derived": [
          "k8s:controller-revision-hash=4219026229",
          "k8s:pod-template-generation=1"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=testDS"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: syncing state to host)",
          "state": "ready",
          "timestamp": "2020-02-18T03:29:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.22",
            "ipv6": "f00d::a0c:0:0:da4"
          }
        ],
        "host-mac": "56:16:cd:51:be:56",
        "interface-index": 176,
        "interface-name": "lxce6d1502467de",
        "mac": "c6:8d:8b:58:78:32"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 17745,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 17745,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2481

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2481

```
Timestamp              Status   State          Message
2020-02-18T03:29:06Z   OK       ready          Successfully regenerated endpoint program (Reason: syncing state to host)
2020-02-18T03:29:06Z   OK       ready          Completed endpoint regeneration with no pending regeneration requests
2020-02-18T03:29:04Z   OK       regenerating   Regenerating endpoint: syncing state to host
2020-02-18T03:29:04Z   OK       restoring      Synchronizing endpoint labels with KVStore
2020-02-18T03:28:54Z   OK       restoring      Restoring endpoint from previous cilium instance
2020-02-18T03:28:54Z   OK       restoring      Endpoint restoring

```


#### Identity get 17745

```
ID      LABELS
17745   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:zgroup=testDS

```


#### BPF Policy Get 3975

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         2988    32        
Ingress     1          ANY          NONE         2922    31        
Egress      0          ANY          NONE         5234    59        

```


#### BPF CT List 3975

```
Error: Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_03975: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_03975: no such file or directory

```


#### Endpoint Get 3975

```
[
  {
    "id": 3975,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-3975-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d0a37632-51fe-11ea-9ffe-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-3975",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:29:05.215Z",
            "success-count": 1
          },
          "uuid": "d0a3a063-51fe-11ea-9ffe-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-3975",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:07.349Z",
            "success-count": 2
          },
          "uuid": "d1e5db5c-51fe-11ea-9ffe-0800271f3587"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (3975)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-02-18T03:30:25.275Z",
            "success-count": 9
          },
          "uuid": "d0a383c6-51fe-11ea-9ffe-0800271f3587"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ],
        "labelsSHA256": "9f122da90704e5177f344e0582800e43b05842f9f6b1812cf4690aade0915275"
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: updated security labels)",
          "state": "ready",
          "timestamp": "2020-02-18T03:29:07Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.19",
            "ipv6": "f00d::a0c:0:0:dfa8"
          }
        ],
        "host-mac": "e2:91:38:7d:72:e9",
        "interface-index": 180,
        "interface-name": "lxc_health",
        "mac": "7a:12:40:47:47:00"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 3975

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 3975

```
Timestamp              Status   State                   Message
2020-02-18T03:29:07Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-02-18T03:29:07Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-02-18T03:29:06Z   OK       regenerating            Regenerating endpoint: updated security labels
2020-02-18T03:29:05Z   OK       waiting-to-regenerate   Triggering regeneration due to new identity
2020-02-18T03:29:05Z   OK       ready                   Set identity for this endpoint
2020-02-18T03:29:04Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### Cilium version

```
1.7.90 45cebce3 2020-02-17T14:48:05+01:00 go version go1.13.8 linux/amd64
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.11 (v1.11.10) [linux/amd64]
Kubernetes APIs:        ["CustomResourceDefinition", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "core/v1::Endpoint", "core/v1::Namespace", "core/v1::Pods", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Strict   [NodePort (SNAT, 30000-32767), ExternalIPs, HostReachableServices (TCP, UDP)]
Cilium:                 Ok       OK
NodeMonitor:            Disabled
Cilium health daemon:   Ok   
IPAM:                   IPv4: 6/255 allocated from 10.10.1.0/24, IPv6: 6/4294967295 allocated from f00d::a0c:0:0:0/96
Allocated addresses:
  10.10.1.11 (default/test-k8s2-8d47f6c76-j6vsb [restored])
  10.10.1.139 (external-ips-test/app3-68fb594d47-5zpdr [restored])
  10.10.1.19 (health)
  10.10.1.22 (default/testds-d9ltw [restored])
  10.10.1.44 (default/testclient-zp9fm [restored])
  10.10.1.97 (router)
  f00d::a0c:0:0:77ab (default/testclient-zp9fm [restored])
  f00d::a0c:0:0:c164 (default/test-k8s2-8d47f6c76-j6vsb [restored])
  f00d::a0c:0:0:c567 (external-ips-test/app3-68fb594d47-5zpdr [restored])
  f00d::a0c:0:0:cd3a (router)
  f00d::a0c:0:0:da4 (default/testds-d9ltw [restored])
  f00d::a0c:0:0:dfa8 (health)
Controller Status:   23/23 healthy
  Name                                  Last success   Last error   Count   Message
  cilium-health-ep                      26s ago        never        0       no error   
  dns-garbage-collector-job             27s ago        never        0       no error   
  endpoint-1351-regeneration-recovery   never          never        0       no error   
  endpoint-1565-regeneration-recovery   never          never        0       no error   
  endpoint-2386-regeneration-recovery   never          never        0       no error   
  endpoint-2481-regeneration-recovery   never          never        0       no error   
  endpoint-3975-regeneration-recovery   never          never        0       no error   
  metricsmap-bpf-prom-sync              11s ago        never        0       no error   
  resolve-identity-3975                 1m26s ago      never        0       no error   
  sync-endpoints-and-host-ips           27s ago        never        0       no error   
  sync-lb-maps-with-k8s-services        1m27s ago      never        0       no error   
  sync-policymap-1351                   24s ago        never        0       no error   
  sync-policymap-1565                   23s ago        never        0       no error   
  sync-policymap-2386                   24s ago        never        0       no error   
  sync-policymap-2481                   24s ago        never        0       no error   
  sync-policymap-3975                   24s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1351)     17s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1565)     17s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (2386)     16s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (2481)     17s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (3975)     16s ago        never        0       no error   
  template-dir-watcher                  never          never        0       no error   
  update-k8s-node-annotations           1m36s ago      never        0       no error   
Proxy Status:   OK, ip 10.10.1.97, 0 redirects active on ports 10000-20000
```

#### Service list

```
ID   Frontend               Service Type   Backend                    
1    10.96.0.10:53          ClusterIP      1 => 10.10.0.205:53        
2    10.96.0.1:443          ClusterIP      1 => 192.168.36.11:6443    
3    10.111.196.148:82      ClusterIP      1 => 10.10.0.47:80         
4    192.0.2.223:82         ExternalIPs    1 => 10.10.0.47:80         
5    172.28.128.3:82        ExternalIPs    1 => 10.10.0.47:80         
6    192.168.36.11:82       ExternalIPs    1 => 10.10.0.47:80         
7    10.104.137.97:30002    ClusterIP      1 => 10.10.0.47:80         
8    192.0.2.223:30002      ExternalIPs    1 => 10.10.0.47:80         
9    172.28.128.3:30002     ExternalIPs    1 => 10.10.0.47:80         
10   192.168.36.11:30002    ExternalIPs    1 => 10.10.0.47:80         
11   10.109.189.21:83       ClusterIP      1 => 10.10.0.241:80        
12   0.0.0.0:30003          NodePort       1 => 10.10.0.241:80        
14   10.10.1.97:30003       NodePort       1 => 10.10.0.241:80        
15   10.108.226.85:84       ClusterIP      1 => 192.168.36.11:20004   
16   0.0.0.0:30004          NodePort       1 => 192.168.36.11:20004   
18   10.10.1.97:30004       NodePort       1 => 192.168.36.11:20004   
19   10.104.52.41:85        ClusterIP      1 => 192.168.36.11:30006   
20   0.0.0.0:30005          NodePort       1 => 192.168.36.11:30006   
22   10.10.1.97:30005       NodePort       1 => 192.168.36.11:30006   
36   10.104.235.85:80       ClusterIP      1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
37   10.104.235.85:69       ClusterIP      1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
38   10.109.153.10:10080    ClusterIP      1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
39   10.109.153.10:10069    ClusterIP      1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
40   0.0.0.0:32416          NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
41   192.168.36.12:32416    NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
42   10.10.1.97:32416       NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
43   0.0.0.0:30875          NodePort       1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
44   192.168.36.12:30875    NodePort       1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
45   10.10.1.97:30875       NodePort       1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
46   10.110.196.85:10080    ClusterIP      1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
47   10.110.196.85:10069    ClusterIP      1 => 10.10.1.22:69         
                                           2 => 10.10.0.211:69        
48   0.0.0.0:31639          NodePort       1 => 10.10.1.22:80         
49   192.168.36.12:31639    NodePort       1 => 10.10.1.22:80         
50   10.10.1.97:31639       NodePort       1 => 10.10.1.22:80         
51   0.0.0.0:30263          NodePort       1 => 10.10.1.22:69         
52   192.168.36.12:30263    NodePort       1 => 10.10.1.22:69         
53   10.10.1.97:30263       NodePort       1 => 10.10.1.22:69         
54   10.108.213.206:10080   ClusterIP      1 => 10.10.1.11:80         
55   10.108.213.206:10069   ClusterIP      1 => 10.10.1.11:69         
56   192.168.36.12:30281    NodePort       1 => 10.10.1.11:80         
57   10.10.1.97:30281       NodePort       1 => 10.10.1.11:80         
58   0.0.0.0:30281          NodePort       1 => 10.10.1.11:80         
59   0.0.0.0:31695          NodePort       1 => 10.10.1.11:69         
60   192.168.36.12:31695    NodePort       1 => 10.10.1.11:69         
61   10.10.1.97:31695       NodePort       1 => 10.10.1.11:69         
62   10.106.66.126:2379     ClusterIP                                 
63   10.97.146.255:10080    ClusterIP      1 => 10.10.1.11:80         
64   10.97.146.255:10069    ClusterIP      1 => 10.10.1.11:69         
65   0.0.0.0:31954          NodePort       1 => 10.10.1.11:80         
66   192.168.36.12:31954    NodePort       1 => 10.10.1.11:80         
67   10.10.1.97:31954       NodePort       1 => 10.10.1.11:80         
68   0.0.0.0:31048          NodePort       1 => 10.10.1.11:69         
69   192.168.36.12:31048    NodePort       1 => 10.10.1.11:69         
70   192.168.36.12:30003    NodePort       1 => 10.10.0.241:80        
71   192.168.36.12:30004    NodePort       1 => 192.168.36.11:20004   
72   10.10.1.97:31048       NodePort       1 => 10.10.1.11:69         
73   10.111.223.30:80       ClusterIP      1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
74   192.168.36.12:30005    NodePort       1 => 192.168.36.11:30006   
75   192.168.36.12:31981    NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
76   10.10.1.97:31981       NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
77   0.0.0.0:31981          NodePort       1 => 10.10.1.22:80         
                                           2 => 10.10.0.211:80        
78   10.108.159.24:80       ClusterIP      1 => 10.10.1.11:80         
79   0.0.0.0:32305          NodePort       1 => 10.10.1.11:80         
80   192.168.36.12:32305    NodePort       1 => 10.10.1.11:80         
81   10.10.1.97:32305       NodePort       1 => 10.10.1.11:80         
```

#### Policy get

```
:
 []
Revision: 1

```


#### Cilium memory map


```
00400000-01d0c000 r-xp 00000000 fd:00 1896328                            /usr/bin/cilium-agent
01d0c000-03958000 r--p 0190c000 fd:00 1896328                            /usr/bin/cilium-agent
03958000-03a33000 rw-p 03558000 fd:00 1896328                            /usr/bin/cilium-agent
03a33000-04197000 rw-p 00000000 00:00 0                                  [heap]
c000000000-c000600000 rw-p 00000000 00:00 0 
c000600000-c000800000 rw-p 00000000 00:00 0 
c000800000-c000e00000 rw-p 00000000 00:00 0 
c000e00000-c004000000 rw-p 00000000 00:00 0 
7ffff5ab0000-7ffff5b70000 rw-p 00000000 00:00 0 
7ffff5b70000-7ffff5b72000 rw-s 00000000 00:0e 11329                      anon_inode:[perf_event]
7ffff5b72000-7ffff5b74000 rw-s 00000000 00:0e 11329                      anon_inode:[perf_event]
7ffff5b74000-7ffff7ffb000 rw-p 00000000 00:00 0 
7ffff7ffb000-7ffff7ffe000 r--p 00000000 00:00 0                          [vvar]
7ffff7ffe000-7ffff7fff000 r-xp 00000000 00:00 0                          [vdso]
7ffffffde000-7ffffffff000 rw-p 00000000 00:00 0                          [stack]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc000410b88)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc0004d42a0,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (int32) 1,
    readerWait: (int32) 0
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=16) {
  (k8s.ServiceID) external-ips-test/svc-e-node-port: (*k8s.Service)(0xc0008d8ee0)(frontend:10.104.52.41/ports=[]/selector=map[id:host-server-2]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc0008d9960)(frontend:10.96.0.1/ports=[https]/selector=map[]),
  (k8s.ServiceID) default/test-lb-local-k8s2: (*k8s.Service)(0xc000ef4070)(frontend:10.108.159.24/ports=[http]/selector=map[zgroup:test-k8s2]),
  (k8s.ServiceID) external-ips-test/svc-a-external-ips: (*k8s.Service)(0xc000ef43f0)(frontend:10.111.196.148/ports=[]/selector=map[id:app1]),
  (k8s.ServiceID) default/test-lb: (*k8s.Service)(0xc00028f880)(frontend:10.111.223.30/ports=[http]/selector=map[zgroup:testDS]),
  (k8s.ServiceID) kube-system/cilium-etcd-client: (*k8s.Service)(0xc00028fc70)(frontend:10.106.66.126/ports=[client]/selector=map[app:etcd etcd_cluster:cilium-etcd]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc00028fd50)(frontend:10.96.0.10/ports=[dns dns-tcp]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) default/test-nodeport: (*k8s.Service)(0xc0008d8700)(frontend:10.109.153.10/ports=[http tftp]/selector=map[zgroup:testDS]),
  (k8s.ServiceID) default/test-nodeport-k8s2: (*k8s.Service)(0xc00028f0a0)(frontend:10.97.146.255/ports=[http tftp]/selector=map[zgroup:test-k8s2]),
  (k8s.ServiceID) external-ips-test/svc-c-node-port: (*k8s.Service)(0xc00028fe30)(frontend:10.109.189.21/ports=[]/selector=map[id:app2]),
  (k8s.ServiceID) default/testds-service: (*k8s.Service)(0xc0008d9260)(frontend:10.104.235.85/ports=[http tftp]/selector=map[zgroup:testDS]),
  (k8s.ServiceID) external-ips-test/svc-d-node-port: (*k8s.Service)(0xc0008d8380)(frontend:10.108.226.85/ports=[]/selector=map[id:host-server-1]),
  (k8s.ServiceID) kube-system/cilium-etcd: (*k8s.Service)(0xc0008d8d20)(frontend:<nil>/ports=[client peer]/selector=map[app:etcd etcd_cluster:cilium-etcd]),
  (k8s.ServiceID) default/test-nodeport-local-k8s2: (*k8s.Service)(0xc0008d9a40)(frontend:10.108.213.206/ports=[http tftp]/selector=map[zgroup:test-k8s2]),
  (k8s.ServiceID) external-ips-test/svc-b-external-ips: (*k8s.Service)(0xc0008d8e00)(frontend:10.104.137.97/ports=[]/selector=map[id:app1]),
  (k8s.ServiceID) default/test-nodeport-local: (*k8s.Service)(0xc0008d9340)(frontend:10.110.196.85/ports=[tftp http]/selector=map[zgroup:testDS])
 },
 endpoints: (map[k8s.ServiceID]*k8s.Endpoints) (len=16) {
  (k8s.ServiceID) default/test-lb: (*k8s.Endpoints)(0xc0000c0038)(10.10.0.211:80/TCP,10.10.1.22:80/TCP),
  (k8s.ServiceID) external-ips-test/svc-c-node-port: (*k8s.Endpoints)(0xc0000c00c8)(10.10.0.241:80/TCP),
  (k8s.ServiceID) default/test-nodeport-k8s2: (*k8s.Endpoints)(0xc0000c0108)(10.10.1.11:69/UDP,10.10.1.11:80/TCP),
  (k8s.ServiceID) default/test-lb-local-k8s2: (*k8s.Endpoints)(0xc0000c0048)(10.10.1.11:80/TCP),
  (k8s.ServiceID) default/test-nodeport-local: (*k8s.Endpoints)(0xc0000c0078)(10.10.0.211:69/UDP,10.10.0.211:80/TCP,10.10.1.22:69/UDP,10.10.1.22:80/TCP),
  (k8s.ServiceID) kube-system/cilium-etcd: (*k8s.Endpoints)(0xc0000c0098)(),
  (k8s.ServiceID) external-ips-test/svc-d-node-port: (*k8s.Endpoints)(0xc0000c00e8)(192.168.36.11:20004/TCP),
  (k8s.ServiceID) external-ips-test/svc-b-external-ips: (*k8s.Endpoints)(0xc0000c0158)(10.10.0.47:80/TCP),
  (k8s.ServiceID) default/testds-service: (*k8s.Endpoints)(0xc0000c0018)(10.10.0.211:69/UDP,10.10.0.211:80/TCP,10.10.1.22:69/UDP,10.10.1.22:80/TCP),
  (k8s.ServiceID) default/test-nodeport: (*k8s.Endpoints)(0xc0000c0028)(10.10.0.211:69/UDP,10.10.0.211:80/TCP,10.10.1.22:69/UDP,10.10.1.22:80/TCP),
  (k8s.ServiceID) default/kubernetes: (*k8s.Endpoints)(0xc0000c0058)(192.168.36.11:6443/TCP),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Endpoints)(0xc0000c00a8)(10.10.0.205:53/TCP,10.10.0.205:53/UDP),
  (k8s.ServiceID) external-ips-test/svc-a-external-ips: (*k8s.Endpoints)(0xc0000c0138)(10.10.0.47:80/TCP),
  (k8s.ServiceID) kube-system/cilium-etcd-client: (*k8s.Endpoints)(0xc0000c0188)(),
  (k8s.ServiceID) external-ips-test/svc-e-node-port: (*k8s.Endpoints)(0xc0000c0068)(192.168.36.11:30006/TCP),
  (k8s.ServiceID) default/test-nodeport-local-k8s2: (*k8s.Endpoints)(0xc0000c0088)(10.10.1.11:69/UDP,10.10.1.11:80/TCP)
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 }
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ipam

```
<nil>
```

